import abc

from lmm.games.game import Game

class Runner(abc.ABC):
    # Type identifier of the runner.
    runner_type: str

    def __init__(self, runner_type: str):
        self.runner_type = runner_type

    def run(self, game: Game):
        raise NotImplementedError()